/// [Btn] is used to shape the FxButton widget.
enum BtnShape {
  /// [Btn.pill] used for pills shaped button with rounded corners
  pill,

  /// [Btn.flat] used for square shaped button with no rounded corners
  flat,

  /// [Btn.rounded] used for pills shaped button with normal rounded corners
  rounded,

  /// [Btn.leaf] used for leaf shaped button with topLeft and bottomRight rounded corners
  leaf,

  /// [Btn.rleft] used for rounded left corners
  rleft,

  /// [Btn.rright] used for rounded right corners
  rright,
}
